# Had to be made archful for 32-bit vulkan drivers
%define debug_package %{nil}

%define rdnsname net.lutris.Lutris

Name:           lutris
Version:        0.5.17
Release:        %mkrel 1
Summary:        Install and play any video game easily
Group:          Games/Other
License:        GPLv3+
URL:            http://lutris.net
Source0:        http://lutris.net/releases/%{name}_%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3
BuildRequires:  python3-gobject3
BuildRequires:  python3-pyxdg
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-setuptools
BuildRequires: lib64python3-devel
BuildRequires:  lib64gnome-desktop3-devel
BuildRequires:  python3-packaging

Requires:       pciutils
Requires:       python3-dbus
Requires:       python3-evdev
Requires:       python3-gobject3
Requires:       python3-pyxdg
Requires:       python3-yaml
Requires:       python3-requests
Requires:       python3-pyinotify
Requires:       python3-lxml
Requires:       python3-pillow
Requires:       python3-setproctitle
Requires:       python3-certifi
Requires:       xrandr
Requires:       lib64gnome-desktop3_20

%description
Lutris is a gaming platform for GNU/Linux. Its goal is to make
gaming on Linux as easy as possible by taking care of installing
and setting up the game for the user. The only thing you have to
do is play the game. It aims to support every game that is playable
on Linux.

%prep
%setup -qn %{name}

%build
%py3_build

%install
%py3_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{rdnsname}.desktop
%{_datadir}/metainfo/%{rdnsname}.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{name}/


%changelog
* Sun Apr 14 2024 tex - 0.5.17-1pclos2024
- new version

* Wed Feb 07 2024 tex - 0.5.16-1pclos2024
- new version

* Sun Jan 14 2024 tex - 0.5.15-1pclos2024
- new version

* Mon Nov 06 2023 tex - 0.5.14-1pclos2023
- new version

* Wed Aug 09 2023 tex - 0.5.13-1pclos2023
- new version

* Thu May 04 2023 tex - 0.5.12-3pclos2023
- add dep python3-certifi

* Sat Mar 04 2023 tex - 0.5.12-2pclos2023
- rebuild against updates

* Sat Feb 11 2023 tex - 0.5.12-1pclos2023
- new version

